<?php

class PageNavi_Options_Page extends scbAdminPage {

	function setup() {
		$this->textdomain = 'wp-pagenavi';

		$this->args = array(
			'page_title' => __( 'تنظیمات شماره صفحات - هیرکان وب', $this->textdomain ),
			'menu_title' => __( 'شماره صفحات - هیرکان وب', $this->textdomain ),
			'page_slug' => 'pagenavi',
		);
	}

	function validate( $new_data, $old_data ) {
		$options = wp_parse_args($new_data, $old_data);
		foreach ( array( 'style', 'num_pages', 'num_larger_page_numbers', 'larger_page_numbers_multiple' ) as $key )
			$options[$key] = absint( @$options[$key] );

		foreach ( array( 'use_pagenavi_css', 'always_show' ) as $key )
			$options[$key] = intval(@$options[$key]);

		return $options;
	}

	function page_content() {
		$rows = array(
			array(
				'title' => __( 'متن برای تعداد صفحات', $this->textdomain ),
				'type' => 'text',
				'name' => 'pages_text',
				'extra' => 'size="50"',
				'desc' => '<br />
					%CURRENT_PAGE% - ' . __( 'شماره صفحه فعلی.', $this->textdomain ) . '<br />
					%TOTAL_PAGES% - ' . __( 'تعداد کل صفحات.', $this->textdomain )
			),

			array(
				'title' => __( 'متن برای صفحه فعلی', $this->textdomain ),
				'type' => 'text',
				'name' => 'current_text',
				'desc' => '<br />
					%PAGE_NUMBER% - ' . __( 'شماره صفحه.', $this->textdomain )
			),

			array(
				'title' => __( 'متن برای صفحه', $this->textdomain ),
				'type' => 'text',
				'name' => 'page_text',
				'desc' => '<br />
					%PAGE_NUMBER% - ' . __( 'شماره صفحه.', $this->textdomain )
			),

			array(
				'title' => __( 'متن برای اولین صفحه', $this->textdomain ),
				'type' => 'text',
				'name' => 'first_text',
				'desc' => '<br />
					%TOTAL_PAGES% - ' . __( 'تعداد کل صفحات.', $this->textdomain )
			),

			array(
				'title' => __( 'متن برای آخرین صفحه', $this->textdomain ),
				'type' => 'text',
				'name' => 'last_text',
				'desc' => '<br />
					%TOTAL_PAGES% - ' . __( 'تعداد کل صفحات.', $this->textdomain )
			),

			array(
				'title' => __( 'متن برای صفحه قبلی', $this->textdomain ),
				'type' => 'text',
				'name' => 'prev_text',
			),

			array(
				'title' => __( 'متن برای صفحه بعدی', $this->textdomain ),
				'type' => 'text',
				'name' => 'next_text',
			),

			array(
				'title' => __( 'متن برای قبلی...', $this->textdomain ),
				'type' => 'text',
				'name' => 'dotleft_text',
			),

			array(
				'title' => __( 'متن برای بعدی...', $this->textdomain ),
				'type' => 'text',
				'name' => 'dotright_text',
			),
		);

		$out =
		 html( 'h3', __( 'متن های مربوط به نمایش صفحه بندی ها', $this->textdomain ) )
		.html( 'p', __( 'Leaving a field blank will hide that part of the navigation.', $this->textdomain ) )
		.$this->table( $rows );


		$rows = array(
			array(
				'title' => __( 'استفاده از pagenavi-css.css', $this->textdomain ),
				'type' => 'radio',
				'name' => 'use_pagenavi_css',
				'choices' => array( 1 => __( 'بله', $this->textdomain ), 0 => __( 'نه', $this->textdomain ) )
			),

			array(
				'title' => __( 'استایل نماشگر صفحات', $this->textdomain ),
				'type' => 'select',
				'name' => 'style',
				'values' => array( 1 => __( 'عادي', $this->textdomain ), 2 => __( 'لیست کشویی', $this->textdomain ) ),
				'text' => false
			),

			array(
				'title' => __( 'شماره صفحات همیشه نمایش داده شوند', $this->textdomain ),
				'type' => 'radio',
				'name' => 'always_show',
				'choices' => array( 1 => __( 'بله', $this->textdomain ), 0 => __( 'نه', $this->textdomain ) ),
				'desc' => '<br />'.__( "نمایش شماره صفحات حتی اگر فقط یک صفحه وجود دارد.", $this->textdomain )
			),

			array(
				'title' => __( 'تعداد صفحات جهت نمایش', $this->textdomain ),
				'type' => 'text',
				'name' => 'num_pages',
				'extra' => 'class="small-text"'
			),

			array(
				'title' => __( 'تعداد شماره صفحه های بزرگتر جهت نمایش', $this->textdomain ),
				'type' => 'text',
				'name' => 'num_larger_page_numbers',
				'extra' => 'class="small-text"',
				'desc' =>
				'<br />' . __( 'زمانی که سایت شما مطالب بسیار زیادی داشته باشد این گزینه بسیار مفید خواهد بود.', $this->textdomain ) .
				'<br />' . __( 'مانند: 1، 2، 3، 4، 5، 10، 20، 30، 40، 50.', $this->textdomain ) .
				'<br />' . __( 'برای غیرفعال کردن 0 را وارد کنید.', $this->textdomain )
			),

			array(
				'title' => __( 'نمایش شماره صفحه های بزرگتر در مضربی از :', $this->textdomain ),
				'type' => 'text',
				'name' => 'larger_page_numbers_multiple',
				'extra' => 'class="small-text"',
				'desc' =>
				'<br />' . __( 'به عنوان مثال: اگر 5 را انتخاب کنید اینگونه نمایش داده خواهد شد: 5، 10، 15، 20، 25', $this->textdomain )
			)
		);

		$out .=
		 html( 'h3', __( 'تنظیمات نمایش صفحات', $this->textdomain ) )
		.$this->table( $rows );

		echo $this->form_wrap( $out );
	}
}

